POST api/Insured/InsuredXDatesAndLinesOfBusiness
Insured X-Dates and Lines of Business list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"271187b2-8273-4ffd-98df-9078589f3441",
"66ebf4cd-10e7-421e-ba42-2024372d6889"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>271187b2-8273-4ffd-98df-9078589f3441</d2p1:guid>
<d2p1:guid>66ebf4cd-10e7-421e-ba42-2024372d6889</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XDatesLinesOfBusiness against given insured database Ids.
XDatesLinesOfBusiness| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| XDate | date |
None. |
|
| LineOfBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "b38ef104-55ff-4729-bd2d-988c79b47a45",
"xDate": "2026-10-29T13:01:13.9477584-05:00",
"lineOfBusinessName": "sample string 2",
"insuredDatabaseId": "1255cf51-6328-4141-8601-674fc5403226"
}
application/xml, text/xml
Sample:
<XDatesLinesOfBusiness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>b38ef104-55ff-4729-bd2d-988c79b47a45</DatabaseId> <InsuredDatabaseId>1255cf51-6328-4141-8601-674fc5403226</InsuredDatabaseId> <LineOfBusinessName>sample string 2</LineOfBusinessName> <XDate>2026-10-29T13:01:13.9477584-05:00</XDate> </XDatesLinesOfBusiness>